#
# spec file for package mc (Version 4.1.11)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         mc
Release:      15
Copyright:    1994, 1995 Miguel de Icaza, Janne Kukonlehto
Group: 
Provides:     mc 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      4.1.11
Summary:      Midnight Commander 
Source: mc-4.1.11.tar.gz
Patch: mc-4.1.11.dif
%description
The Midnight Commander is a Norton Commander clone; a program that
manipulates and manages files and directories. It is useful, fast, and has
color displays on the Linux console. It also has mouse support if you run
the "gpm" mouse server.  This program requires the terminal description files
in /usr/lib/terminfo, which are found in ncurses.tgz or terminfo.tgz.
You can also use the Midnight Commander under X with your mouse.
If you enter "mc -c",  colors will be used.
Under the Midnight Commander, the screen is divided into four sections,
whereby the majority of the screen is covered by two directory panels.
The second to last line on the screen is the shell command line; the last line
displays the function key assignments. At the very top, the menu list is
shown. One of the directories displayed is the current working directory.
This is where most of the commands are found. For certain commands, like
copy and move, the second directory is used as the target directory.

Authors:
--------
    Miguel de Icaza <miguel@roxanne.nuclecu.unam.mx>
    Janne Kukonlehto <jtklehto@paju.oulu.fi>
    Dugan Orlando Porter <dugan@b011.eunet.es>
    Radek Doulik <rodo@earn.cvut.cz>
    Fred Leeflang <fredl@nebula.ow.nl>
    Mauricio Plaza <mok@roxanne.nuclecu.unam.mx>
    Jakub Jelinek <jj@sunsite.mff.cuni.cz>

%prep
%setup
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
/usr/bin/mc
/usr/bin/mcedit
/usr/bin/mcmfmt
/usr/bin/mcserv
%doc /usr/man/man1/mc.1.gz
%doc /usr/man/man1/mcedit.1.gz
%doc /usr/man/man8/mcserv.8.gz
/usr/lib/mc

